<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class HasilUjiUAParamter extends Model
{
    use HasFactory;

    protected $table = 'HasilUjiUAParameter';

    protected $primaryKey = 'HasilUjiUAParameterId';
    protected $fillable = [
        'HasilUjiUAId',
        'UdaraAmbienBakuMutuId',
        'Pengujian',
        'Nilai',
    ];

    /**
     * Relasi ke model HasilUjiUA.
     */
    public function hasilUjiUA()
    {
        return $this->belongsTo(HasilUjiUA::class, 'HasilUjiUAId', 'HasilUjiUAId');
    }

    /**
     * Relasi ke model UdaraAmbienBakuMutu.
     */
    public function udaraAmbienBakuMutu()
    {
        return $this->belongsTo(UdaraAmbienBakuMutu::class, 'UdaraAmbienBakuMutuId', 'UdaraAmbienBakuMutuId');
    }
}
