<?php

namespace App\Models\Pelaporan;

use Illuminate\Database\Eloquent\Model;

class IPALparameter extends Model
{
    protected $table = 'IpalParameter';
    public $timestamps = false;

    protected $fillable = ['IpalId'];

    /**
     * Get data dari IpalParameter
     */
    public static function getData($idmcipal)
    {
        return self::where('IpalId', $idmcipal)->get();
    }

    /**
     * Get satu record berdasarkan filter
     */
    public static function getOneBy(array $filter)
    {
        return self::where($filter)->first();
    }
}
