<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class PetugasTps extends Model
{
    use HasFactory;

    protected $table = 'PetugasTps';

    protected $primaryKey = 'PetugasTpsId';

    protected $fillable = [
        'PerusahaanId',
        'NamaPetugas',
        'IsDeleted',
    ];


    /**
     * Relasi ke model Perusahaan.
     */
    public function perusahaan()
    {
        return $this->belongsTo(Perusahaan::class, 'PerusahaanId', 'PerusahaanId');
    }
}
