<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class RefCerobongParameter extends Model
{
    use HasFactory;
    protected $table = 'CerobongParameter';
    protected $primaryKey = 'CerobongParameterId';
    protected $fillable = [
        'CerobongId',
        'Nama',
        'Satuan',
        'BakuMutuJenis',
        'BakuMutuNilai1',
        'BakuMutuNilai2',
        'Del',
    ];

    /**
     * Relasi ke model Cerobong.
     */
    public function cerobong()
    {
        return $this->belongsTo(RefCerobong::class, 'RefCerobongId', 'RefCerobongId');
    }
}
