<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class RefIpal extends Model
{
    use HasFactory;

    protected $table = 'RefIpal';

    protected $primaryKey = 'RefIpalId';

    protected $fillable = [
        'PerusahaanId',
        'NomorIpal',
        'NamaIpal',
        'DokumenIpal',
        'IzinTerbit',
        'IzinHabis',
        'SumberLimbah',
        'KapasitasIpal',
        'Teknologi',
        'BadanAir',
        'DebitMaksimum',
        'Lintang',
        'Bujur',
        'Del',
    ];

    /**
     * Relasi ke model IpalParameter.
     */
    public function refipalParameters()
    {
        return $this->hasMany(RefIpalParameter::class, 'RefIpalId', 'RefIpalId');
    }
}
