<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class RefIpalParameter extends Model
{
    use HasFactory;

    protected $table = 'RefIpalParameter';

    protected $primaryKey = 'RefIpalParameterId';

    protected $fillable = [
        'RefIpalId',
        'NamaParameter',
        'Satuan',
        'BakuMutuJenis',
        'BakuMutuNilai1',
        'BakuMutuNilai2',
        'BatasEmisi',
        'Del',
    ];

    /**
     * Relasi ke model Ipal.
     */
    public function refipal()
    {
        return $this->belongsTo(RefIpal::class, 'RefIpalId', 'RefIpalId');
    }
}
