<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Spl_BS extends Model
{
    use HasFactory;

    protected $table = 'Spl_BS';
    protected $primaryKey = 'Spl_BS_Id';

    protected $fillable = [
        'PelaporanId',
        'Tipe',
        'Lokasi',
        'Melebihi',
        'NilaiSpl',
    ];

    public function pelaporan()
    {
        return $this->belongsTo(Pelaporan::class, 'PelaporanId', 'PelaporanId');
    }
}
