<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Spl_SB extends Model
{
    use HasFactory;

    protected $table = 'Spl_SB';
    protected $primaryKey = 'Spl_SB_Id';

    protected $fillable = [
        'PelaporanId',
        'BensinJumlah',
        'BensinUji',
        'BensinLulus',
        'DieselJumlah',
        'DieselUji',
        'DieselLulus',
        'NilaiSpl',
    ];

    public function pelaporan()
    {
        return $this->belongsTo(Pelaporan::class, 'PelaporanId', 'PelaporanId');
    }
}
