<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Stb extends Model
{
    use HasFactory;

    protected $table = 'Stb';
    protected $primaryKey = 'Stb_Id';
    public $timestamps = false;

    protected $fillable = [
        'PelaporanId',
        'EmisiStb',
        'Cerobong',
        'SuratPernyataan',
        'TanggalUnggah',
        'Verifikasi',
        'TanggalVerifikasi',
        'Keterangan',
        'Verifikator',
    ];

    public function pelaporan()
    {
        return $this->belongsTo(Pelaporan::class, 'PelaporanId', 'PelaporanId');
    }
}
