<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class SumberSampah extends Model
{
    use HasFactory;

    protected $table = 'SumberSampah';

    protected $primaryKey = 'SumberSampahId';

    protected $fillable = [
        'PerusahaanId',
        'NamaSumber',
        'IsDeleted',
    ];

    public function perusahaan()
    {
        return $this->belongsTo(Perusahaan::class, 'PerusahaanId', 'PerusahaanId');
    }
}
