<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class UdaraAmbienBakuMutu extends Model
{
    use HasFactory;

    protected $table = 'UdaraAmbienBakuMutu';

    protected $primaryKey = 'UdaraAmbienBakuMutuId';

    protected $fillable = [
        'UdaraAmbienParameterId',
        'WaktuPengukuran',
        'NilaiBaku',
        'Satuan',
        'SistemPengukuran',
    ];

    /**
     * Relasi ke model UdaraAmbienParameter.
     */
    public function parameter()
    {
        return $this->belongsTo(UdaraAmbienParameter::class, 'UdaraAmbienParameterId', 'UdaraAmbienParameterId');
    }
}
