<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('GroupHasil', function (Blueprint $table) {
            $table->id('GroupHasilId');
            $table->unsignedInteger('HasilId');
            $table->foreign('HasilId')->references('HasilId')->on('Hasil')->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('GroupHasil');
    }
};
