<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('IzinPihakKetiga', function (Blueprint $table) {
            $table->increments('IzinPihakKetigaId');
            $table->string('NamaIzin', 100)->nullable()->comment('Nama Izin');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('IzinPihakKetiga');
    }
};
