<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class GroupHasil extends Model
{
    use HasFactory;

    protected $table = 'GroupHasil';

    protected $primaryKey = 'GroupHasilId';

    protected $fillable = [
        'HasilId',
    ];

    public function hasil()
    {
        return $this->belongsTo(Hasil::class, 'HasilId', 'HasilId');
    }
}
