<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class IndikatorKdm extends Model
{
    use HasFactory;

    protected $table = 'IndikatorKdm';

    protected $primaryKey = 'IndikatorKdmId';

    protected $fillable = [
        'NamaIndikator',
    ];

    public function hasilUjiKdm()
    {
        return $this->hasMany(HasilUjiKDM::class, 'IndikatorKdmId', 'IndikatorKdmId');
    }
}
