<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Komunal extends Model
{
    use HasFactory;

    protected $table = 'Komunal';

    protected $primaryKey = 'KomunalId';

    protected $fillable = [
        'PelaporanId',
        'Tersambung',
    ];

    /**
     * Relasi ke model Pelaporan.
     */
    public function pelaporan()
    {
        return $this->belongsTo(Pelaporan::class, 'PelaporanId', 'PelaporanId');
    }
}
