<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class RefPelaporan extends Model
{
    use HasFactory;

    protected $table = 'RefPelaporan';

    protected $primaryKey = 'RefPelaporanId';

    // Atribut yang dapat diisi secara massal
    protected $fillable = [
        'NamaPelaporan',
        'KodePelaporan',
    ];

    /**
     * Relasi ke model Verifikasi.
     */
    public function verifikasi()
    {
        return $this->hasMany(Verifikasi::class, 'RefPelaporanId', 'RefPelaporanId');
    }
}
