<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Spl_AL extends Model
{
    use HasFactory;

    protected $table = 'Spl_AL';

    protected $primaryKey = 'Spl_AL_Id';

    protected $fillable = [
        'PelaporanId',
        'Diuji',
        'Melebihi',
        'NilaiSpl',
    ];

    /**
     * Relasi ke model Pelaporan.
     */
    public function pelaporan()
    {
        return $this->belongsTo(Pelaporan::class, 'PelaporanId', 'PelaporanId');
    }
}
