<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Spl_KDM extends Model
{
    use HasFactory;

    protected $table = 'Spl_KDM';
    protected $primaryKey = 'Spl_KDM_Id';

    protected $fillable = [
        'PelaporanId',
        'Iya',
        'Jumlah',
        'NilaiSpl',
    ];

    public function pelaporan()
    {
        return $this->belongsTo(Pelaporan::class, 'PelaporanId', 'PelaporanId');
    }
}
