<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Spl_LB3 extends Model
{
    use HasFactory;

    protected $table = 'Spl_LB3';
    protected $primaryKey = 'Spl_LB3_Id';

    protected $fillable = [
        'PelaporanId',
        'Timbulan',
        'Perlakukan',
        'Residu',
        'BelumTerkelola',
        'Sisa',
        'Kinerja',
        'NilaiSpl',
        'Status',
    ];

    public function pelaporan()
    {
        return $this->belongsTo(Pelaporan::class, 'PelaporanId', 'PelaporanId');
    }
}
