<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Spl_LP extends Model
{
    use HasFactory;

    protected $table = 'Spl_LP';
    protected $primaryKey = 'Spl_LP_Id';

    protected $fillable = [
        'PelaporanId',
        'Timbulan',
        'Diangkut',
        'Pengolahan',
        'NilaiSpl',
    ];

    public function pelaporan()
    {
        return $this->belongsTo(Pelaporan::class, 'PelaporanId', 'PelaporanId');
    }
}
