<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Spl_STB extends Model
{
    use HasFactory;

    protected $table = 'Spl_STB';
    protected $primaryKey = 'Spl_STB_Id';
    public $timestamps = false;

    protected $fillable = [
        'PelaporanId',
        'Diuji',
        'Melebihi',
        'NilaiSpl',
    ];

    public function pelaporan()
    {
        return $this->belongsTo(Pelaporan::class, 'PelaporanId', 'PelaporanId');
    }
}
