<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class TandaTerima extends Model
{
    use HasFactory;

    protected $table = 'TandaTerima';
    protected $primaryKey = 'TandaTerimaId';
    protected $fillable = [
        'PelaporanId',
        'Dokumen',
        'Email',
        'TanggalKirim',
        'Oleh',
        'Del',
        'Parameter',
    ];

    /**
     * Relasi ke model Pelaporan.
     */
    public function pelaporan()
    {
        return $this->belongsTo(Pelaporan::class, 'PelaporanId', 'PelaporanId');
    }
}
