<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class UdaraAmbienParameter extends Model
{
    use HasFactory;

    protected $table = 'UdaraAmbienParameter';

    protected $primaryKey = 'UdaraAmbienParameterId';

    protected $fillable = [
        'NamaParameter',
    ];

    /**
     * Relasi ke model UdaraAmbienBakuMutu.
     */
    public function bakuMutu()
    {
        return $this->hasMany(UdaraAmbienBakuMutu::class, 'UdaraAmbienParameterId', 'UdaraAmbienParameterId');
    }
}
